Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 309831 (CVE-2010-1853) - <net-p2p/transmission-1.92 "Potential buffer overflow when adding maliciously-crafted magnet links" (CVE-2010-1853)
Summary: <net-p2p/transmission-1.92 "Potential buffer overflow when adding maliciously...
Status: RESOLVED FIXED
Alias: CVE-2010-1853
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo Security
URL: http://trac.transmissionbt.com/wiki/C...
Whiteboard: B2 [glsa]
Keywords:
Depends on:
Blocks:
 
Reported: 2010-03-16 18:21 UTC by Samuli Suominen
Modified: 2010-06-02 21:26 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Samuli Suominen gentoo-dev 2010-03-16 18:21:29 UTC
Transmission 1.92 (2010/03/14)

* Fix potential buffer overflow when adding maliciously-crafted magnet links
Comment 1 Peter Volkov (RETIRED) gentoo-dev 2010-04-07 12:21:41 UTC
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2010-0749

Comment 2 Peter Volkov (RETIRED) gentoo-dev 2010-04-07 15:35:15 UTC
And CVE-2010-0749 fixed in this release too. Strange that they are blank at cvs.mitre.org, but filled in other places.
Comment 3 Andreas Schürch gentoo-dev 2010-04-07 17:58:06 UTC
Tested on x86, seems to be ok.
Comment 4 Paweł Hajdan, Jr. (RETIRED) gentoo-dev 2010-04-08 07:47:13 UTC
x86 stable, thanks Andreas
Comment 5 Peter Volkov (RETIRED) gentoo-dev 2010-04-08 10:29:38 UTC
amd64 stable.
Comment 6 Brent Baude (RETIRED) gentoo-dev 2010-04-15 15:57:26 UTC
ppc done; closing as last arch
Comment 7 Tomás Touceda (RETIRED) gentoo-dev 2010-04-15 16:58:30 UTC
Reopening since this is a security bug.
Comment 8 Stefan Behte (RETIRED) gentoo-dev Security 2010-05-21 22:56:03 UTC
CVE-2010-1853 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2010-1853):
  Multiple stack-based buffer overflows in the tr_magnetParse function
  in libtransmission/magnet.c in Transmission 1.91 allow remote
  attackers to cause a denial of service (crash) or possibly execute
  arbitrary code via a crafted magnet URL with a large number of (1) tr
  or (2) ws links.

Comment 9 Stefan Behte (RETIRED) gentoo-dev Security 2010-05-22 11:12:58 UTC
glsa request filed
Comment 10 Alex Legler (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2010-06-02 21:26:51 UTC
GLSA 201006-06